Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

Terminal output:

felix@felix-ubuntu:~$ steam
Running Steam on ubuntu 14.04 64-bit
STEAM_RUNTIME is enabled automatically
Installing breakpad exception handler for appid(steam)/version(0_client)
libGL error: Couldn't dlopen libudev.so.1 or libudev.so.0, driver detection may be broken.
steam: ../../../../src/loader/loader.c:129: asserted_dlsym: Assertion `result' failed.
ILocalize::AddFile() failed to load file "public/steambootstrapper_english.txt".
[2014-02-15 10:53:45] Startup - updater built Feb 10 2014 16:03:16
Uploading dump (out-of-process) [proxy '']
/tmp/dumps/crash_20140215105345_1.dmp
/home/felix/.local/share/Steam/steam.sh: 755. sor:  8084 Félbeszakítva         (core készült) $STEAM_DEBUGGER "$STEAMROOT/$PLATFORM/$STEAMEXE" "$@"
mv: stat ”/home/felix/.steam/registry.vdf” sikertelen: Nincs ilyen fájl vagy könyvtár
Installing bootstrap /home/felix/.local/share/Steam/bootstrap.tar.xz
Reset complete!
Restarting Steam by request...
Running Steam on ubuntu 14.04 64-bit
STEAM_RUNTIME has been set by the user to: /home/felix/.local/share/Steam/ubuntu12_32/steam-runtime
Installing breakpad exception handler for appid(steam)/version(0_client)



libGL error: Couldn't dlopen libudev.so.1 or libudev.so.0, driver detection may be broken.
    steam: ../../../../src/loader/loader.c:129: asserted_dlsym: Assertion `result' failed.
    ILocalize::AddFile() failed to load file "public/steambootstrapper_english.txt".
    [2014-02-15 10:53:47] Startup - updater built Feb 10 2014 16:03:16
    Uploading dump (out-of-process) [proxy '']
    /tmp/dumps/crash_20140215105347_1.dmp
    /home/felix/.local/share/Steam/steam.sh: 755. sor:  8212 Félbeszakítva         (core készült) $STEAM_DEBUGGER "$STEAMROOT/$PLATFORM/$STEAMEXE" "$@"

I'm using Ubuntu 13.10 and I have an Intel Q35 (GMA 3100). Steam worked just fine on 12.04 and 13.04 the problem is only with 13.10.

share|improve this question
    
Just noticed steam thinks your running 14.04, interesting –  kevinf Mar 28 at 2:04
add comment

1 Answer 1

up vote 8 down vote accepted

To fix this error, you must

apt-get install libudev1:i386

Steam is 32bits, and Steam's requirement of libudev1 is "met", but is unable to be linked with the amd64 version. Steam should update its depends.

The generic solution to this problem, is to determine which packages to install, use dpkg -S libXXXX.so

Running Ubuntu Saucy 13.10 64bit with AMD Radeon 6450 mesa

share|improve this answer
2  
This just solved the problem for me! Thanks –  euDennis Mar 7 at 22:23
    
Solved it for me too, on ubuntu 14.04 with integration graphics.. thanks! –  tamale Mar 29 at 22:08
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.